Subject: Re: git-svn show-externals and svn version

From: Jakub Narebski <[email-masked]>
Date: Sun, 04 Mar 2012 02:46:53 -0800 (PST)

Nikolaus Demmel <[email-masked]> writes:

> I feel a bit like I am talking to myself, but I see from the high
> traffic on this list that people are busy doing great things :-). I will
> write anyway in case someone interested in git-svn listens.
> 
> Is there an appropriate place to file these kinds of feature/enhancement
> requests?
> 
> So I've investigated the matter a bit further. Turns out in the
> subversion SWIG language bindings there is an API function that parses
> svn:externals definitions for you. See [1] for a recent (minimal) change
> to make this function available in python. I guess supporting Perl
> requires equally minimal changes. I haven't attempted it myself since I
> know neither Perl nor SWIG.
> 
> How could this be used in git-svn show-externals? As layed out before, I
> believe that the current output for the svn1.5 syntax is inherently
> broken and we should not worry about backwards compatibility for
> that. To maintain backwards compatibility with the output for the old
> format and to give a canonical, easy to parse, output for any external
> definition, I suggest sticking to the current format, just inserting the
> parsed definition at the appropriate place with relative URLs completely
> resolved to absolute ones.
[...]

> Thoughts, comments, opinions?

Perhaps better support for svn:externals would be a good project for
Git in Google Summer of Code 2012?  You could write a proposal, see

* GSoC 2012 application process
  Message-ID: <[email-masked]>
  http://thread.gmane.org/gmane.comp.version-control.git/192014 

* [RFC] "Remote helper for Subversion" project
  Message-ID: <[email-masked]>
  http://thread.gmane.org/gmane.comp.version-control.git/192106

* https://github.com/peff/git/wiki/SoC-2012-Ideas

-- 
Jakub Narebski